explain_fseeko_or_die(3)

NAME
explain_fseeko_or_die - seek to or report file position and report errors

SYNOPSIS
#include <libexplain/fseeko.h>

void explain_fseeko_or_die(FILE *fp, off_t offset, int whence);
int explain_fseeko_on_error(FILE *fp, off_t offset, int whence);

DESCRIPTION
The explain_fseeko_or_die function is used to call the fseeko(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fseeko(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fseeko_on_error function is used to call the fseeko(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fseeko(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fseeko(3) system call.

offset
    The offset, exactly as to be passed to the fseeko(3) system call.

whence
    The whence, exactly as to be passed to the fseeko(3) system call.

RETURN VALUE
The explain_fseeko_or_die function only returns on success, see fseeko(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fseeko_on_error function always returns the value return by the wrapped fseeko(3) system call.

EXAMPLE
The explain_fseeko_or_die function is intended to be used in a fashion similar to the following example:
    explain_fseeko_or_die(fp, offset, whence);

SEE ALSO

fseeko(3)
    seek to or report file position

explain_fseeko(3)
    explain fseeko(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller